Bug 127690 - redhat-config-users crashes with GLib-GObject-CRITICAL errors
Summary: redhat-config-users crashes with GLib-GObject-CRITICAL errors
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-users   
(Show other bugs)
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-12 16:49 UTC by Peter Chiu
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-22 14:36:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Chiu 2004-07-12 16:49:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Hotbar 
4.3.1.0; FunWebProducts; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
When I invoke 

redhat-config-users

it crasehs out with the following warnings and errors:

(redhat-config-users.py:7255): Gdk-WARNING: DESKTOP_STARTUP_ID
contains invalid UTF-8

(redhat-config-users.py:7255): WARNING **: entry is incorrectly 
formatted

(redhat-config-users.py.7255): GLib-GObject-CRITICAL: file 
gvaluearray.c:
line 42 (g_value_array_get_nth): assertion `value_array != NULL` 
failed

** ERROR **: file user.c: line 658 (merge_ent_array_duplicates): 
should not be reached
aborting...
/usr/share/redhat-config-users/redhat-config-users: line 4: 7255 
aborted.
/usr/bin/python2.2 /usr/share/redhat-config-users/redhat-config-
users.py



Version-Release number of selected component (if applicable):
1.1.18-1

How reproducible:
Always

Steps to Reproduce:
1. invoke redhat-config-users
2.
3.
    

Actual Results:  crash errors as stated above

Expected Results:  A window to allow users to be added

Additional info:

The system is set up as a NIS master.

Normal ypmatch/ypwhich commands are working okay.

Comment 1 Nils Philippsen 2004-08-11 15:13:10 UTC
Do you attempt to run redhat-config-users locally or have you exported
your display to a remote machine? Please tell me the contents of your
DESKTOP_STARTUP_ID environment variable as its contents seem to be
messed up.

Comment 2 Nils Philippsen 2005-06-22 14:36:23 UTC
Closing bug due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.